cURL
curl --request GET \ --url https://app.promptingco.com/api/v1/site/pages \ --header 'x-api-key: <api-key>'
{ "ok": true, "data": { "scope": { "product": { "id": "<string>", "name": "<string>", "slug": "<string>" }, "organization": { "id": "<string>", "name": "<string>", "slug": "<string>" } }, "page": 123, "pageSize": 123, "query": "<string>", "status": "<string>", "type": "<string>", "isManual": true, "pathPrefix": "<string>", "hasContent": true, "domainId": "<string>", "domain": "<string>", "orderBy": "createdAt", "orderByDirection": "asc", "total": 1, "totalPages": 1, "items": [ { "id": "<string>", "title": "<string>", "filePath": "<string>", "sourceUrl": "<string>", "status": "<string>", "type": "<string>", "isManual": true, "metaTitle": "<string>", "metaDescription": "<string>", "publishedAt": "2023-11-07T05:31:56Z", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "domains": [ { "id": "<string>", "domain": "<string>", "isCanonical": true } ] } ] } }
Organization-scoped API key. Available scopes:
1
createdAt
updatedAt
asc
desc
draft
published
Successful response
true
Show child attributes